#### D.15.5.17 makePDivisor

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  makePDivisor(L); L = list.

Assume:
  L is a list of tuples of a integral polyhedron and a divisor such that all polyhedra have the same tail cone.

Return:
  a pdivisor on X

Theory:
  Represents an polyhedral formal sum of divisors.

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor A = makeDivisor(ideal(x,z),ideal(1));
    divisor B = makeDivisor(ideal(x,y),ideal(1));
    intmat M[4][4]= 1,4,0,0,
    1,0,3,0,
    0,0,0,2,
    1,1,1,1;
    polytope PP = polytopeViaPoints(M);
    makePDivisor(list(list(PP,A),list(PP,B)));

User manual for Singular version 4-0-3, 2016, generated by texi2html.